# usb-keyboard.h File Reference

Go to the source code of this file.

## Functions

void | kbdUSBInit (DevicePtr pDev)
void | kbdUSBGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | kbdUSBOn (DevicePtr pDev)
void | kbdUSBCtrl (DevicePtr pDev, KeybdCtrl *ctrl)

## Detailed Description

Interface to USB keyboard driver.

See also:
  usb-keyboard.c

  usb-common.c

## Function Documentation

void kbdUSBCtrl | ( | DevicePtr | pDev,
|  | KeybdCtrl * | ctrl
| ) |

| Set the LEDs.

void kbdUSBGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill the info structure with information needed to initialize pDev.

void kbdUSBInit | ( | DevicePtr | pDev | ) |

| Initialize pDev using usbInit.

int kbdUSBOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>